Bug 1956565

Summary: Need ACM Managed Cluster Info metric enabled for OCP monitoring telemetry
Product: OpenShift Container Platform Reporter: Joydeep Banerjee <jbanerje>
Component: TelemeterAssignee: lserven
Status: CLOSED ERRATA QA Contact: Junqi Zhao <juzhao>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.7CC: aos-bugs, juzhao, spasquie
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1945677 Environment:
Last Closed: 2021-06-15 09:27:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1945677    
Bug Blocks:    

Description Joydeep Banerjee 2021-05-03 22:51:17 UTC
+++ This bug was initially created as a clone of Bug #1945677 +++

Description of problem:

This metric is already merged in OCP 4.8 using Bug #1945677

This issue is not for a bug.  To enable a metric from ACM in OCP 4.7 - acm_managed_cluster_info for OCP monitoring telemetry, we need to open a PR against the openshift/cluster-monitoring-operator manifest allowlist.  The monitoring team's process, though, requires that the PR be associated with a Bugzilla issue number.  This metric provides Subscription watch and other information for the managed clusters for an ACM Hub cluster.

Detailed description of this metric is here: https://docs.google.com/document/d/1uvCk73lWQ-LGqFNla6IMRuur5Fj6q59Y2UMpGK5AaWs/edit?usp=sharing


Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Junqi Zhao on 2021-04-20 02:38:10 UTC ---

tested with 4.8.0-0.nightly-2021-04-19-121657, acm_managed_cluster_info is in telemetry-config configmap
# oc -n openshift-monitoring get cm telemetry-config -o jsonpath="{.data.metrics\.yaml}" | grep {__name__= | grep acm_managed_cluster_info
- '{__name__="acm_managed_cluster_info"}'

but I think we still need a telemeter PR for the metrics

Comment 1 Junqi Zhao 2021-05-21 02:05:21 UTC
tested with the not merged PR, acm_managed_cluster_info is added to telemeter allowlist
# oc -n openshift-monitoring get cm telemetry-config -o jsonpath="{.data.metrics\.yaml}" | grep {__name__= | grep acm_managed_cluster_info
- '{__name__="acm_managed_cluster_info"}'

Comment 3 Junqi Zhao 2021-05-31 01:58:38 UTC
checked with 4.7.0-0.nightly-2021-05-29-015423, 
# oc -n openshift-monitoring get cm telemetry-config -o jsonpath="{.data.metrics\.yaml}" | grep {__name__= | grep acm_managed_cluster_info
- '{__name__="acm_managed_cluster_info"}'

based on https://bugzilla.redhat.com/show_bug.cgi?id=1945677#c7 and https://bugzilla.redhat.com/show_bug.cgi?id=1945677#c11
since the metrics is added to the allow-list, just wait for the new configuration to production, set it to VERIFIED

Comment 5 Siddharth Sharma 2021-06-04 18:39:12 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 9 errata-xmlrpc 2021-06-15 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286